#include <stdio.h>
#include <process.h>
#include "defines.h"

int helpcom0(int argc,unchar *argv[],int flag,unchar *helpname,unchar *helpmes)
// ヘルプ表示（簡易型）
// helpname : ヘルプファイル名 , helpmes : 簡易ヘルプメッセージ
{
#define HELP "CHELP.X" /* デフォルトヘルプ表示プログラム */
int ret;
	/* 条件が満たされているとき、または"?","/help"オプションがある時 */
	if (!(flag || check_param2("?"   ,argv,argc,0)
		   || check_param2("HELP",argv,argc,0))) return(0);
							/* ヘルプは表示されなかった */
	// CHELP.X起動
	ret=spawnlp(P_WAIT,HELP,HELP,helpname,argv[0],"/C","/E",NULL);
	if (ret) { // エラー等の時
		/* 簡易説明表示 */
		printf2("［書式］%s %s\n",argv[0],helpmes);
		return(2); /* 簡易で表示された */
	}
	/* ヘルプは表示された */
	return(1);
}
